"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeMapping = void 0;
var TypeMapping = /** @class */ (function () {
    function TypeMapping() {
    }
    TypeMapping.isLink = function (token) {
        return token.type === 'link';
    };
    TypeMapping.isTable = function (token) {
        return token.type === 'table';
    };
    TypeMapping.isText = function (token) {
        return token.type === 'text';
    };
    TypeMapping.isList = function (token) {
        // @ts-ignore
        return token.type === 'list';
    };
    TypeMapping.isBlockQuote = function (token) {
        return token.type === 'blockquote';
    };
    TypeMapping.isBr = function (token) {
        return token.type === 'br';
    };
    TypeMapping.isCode = function (token) {
        return token.type === 'code';
    };
    TypeMapping.isCodespan = function (token) {
        return token.type === 'codespan';
    };
    TypeMapping.isDef = function (token) {
        return false;
        // return (token as Tokens.Def) === 'def';
    };
    TypeMapping.isEm = function (token) {
        return token.type === 'em';
    };
    TypeMapping.isEscape = function (token) {
        return token.type === 'escape';
    };
    TypeMapping.isHr = function (token) {
        return token.type === 'hr';
    };
    TypeMapping.isHtml = function (token) {
        return token.type === 'html';
    };
    TypeMapping.isStrong = function (token) {
        return token.type === 'strong';
    };
    TypeMapping.isTag = function (token) {
        var tok = token;
        return tok.inLink !== undefined
            && tok.inRawBlock !== undefined
            && (tok.type === 'html' || tok.type === 'text');
    };
    TypeMapping.isSpace = function (token) {
        return token.type === 'space';
    };
    TypeMapping.isHeading = function (token) {
        return token.type === 'heading';
    };
    TypeMapping.hasTokens = function (token) {
        return token && token.tokens !== undefined;
    };
    return TypeMapping;
}());
exports.TypeMapping = TypeMapping;
//# sourceMappingURL=type-mapping.js.map